com.thinkaurelius.titan.graphdb.query.condition

## Class Or<E extends TitanElement>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Condition<E>>
      - - com.thinkaurelius.titan.graphdb.query.condition.MultiCondition<E>
        - - com.thinkaurelius.titan.graphdb.query.condition.Or<E>

- All Implemented Interfaces:
    Condition<E>, Serializable, Cloneable, Iterable<Condition<E>>, Collection<Condition<E>>, List<Condition<E>>, RandomAccess

      public class Or<E extends TitanElement>
      extends MultiCondition<E>

  Combines multiple conditions under semantic OR, i.e. at least one condition must be true for this combination to be true
  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.query.condition.Condition

      `Condition.Type`

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Or()`
    `Or(Condition<E>... elements)`
    `Or(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Or<E>` | `clone()`
    `boolean` | `evaluate(E element)`
    `Condition.Type` | `getType()`
    `static <E extends TitanElement> Or<E>` | `of(Condition<E>... elements)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.query.condition.MultiCondition

      `add, equals, get, getChildren, hasChildren, hashCode, numChildren, size, toString, toString`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, contains, ensureCapacity, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll`

- - ### Constructor Detail

    - #### Or

          public Or(Condition<E>... elements)

    - #### Or

          public Or(int size)

    - #### Or

          public Or()

  - ### Method Detail

    - #### clone

          public Or<E> clone()

      Overrides:
        `clone` in class `ArrayList<Condition<E extends TitanElement>>`

    - #### getType

          public Condition.Type getType()

    - #### evaluate

          public boolean evaluate(E element)

    - #### of

          public static <E extends TitanElement> Or<E> of(Condition<E>... elements)

Copyright © 2012–2014. All rights reserved.